Bug 236245 - net-mgmt/cnagios: Update to 0.33, Add FLAVORS
Summary: net-mgmt/cnagios: Update to 0.33, Add FLAVORS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dan Langille
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-03-05 09:07 UTC by gettoknowmi
Modified: 2020-11-24 15:22 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (danny)


Attachments
add flavors (1.04 KB, patch)
2019-03-22 17:35 UTC, Dan Langille
no flags Details | Diff
Update to 0.33, Add FLAVORS (1.73 KB, patch)
2019-03-22 17:49 UTC, Dan Langille
koobs: maintainer-approval? (danny)
Details | Diff
Update to 0.33, Add FLAVORS, mention flavors in pkg-descr (1.89 KB, patch)
2019-03-25 14:23 UTC, Dan Langille
dvl: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gettoknowmi 2019-03-05 09:07:06 UTC
change run depends to latest nagios version
Index: net-mgmt/cnagios/Makefile
===================================================================
--- net-mgmt/cnagios/Makefile	(revision 484897)
+++ net-mgmt/cnagios/Makefile	(working copy)
@@ -10,7 +10,8 @@
 
 LICENSE=	ISCL
 
-RUN_DEPENDS=	nagios>=3.0:net-mgmt/nagios
+# local change so this port installs nagios3, not nagios3
+RUN_DEPENDS=	nagios4>=4.0:net-mgmt/nagios4
Comment 1 Koichiro Iwao freebsd_committer 2019-03-11 05:46:19 UTC
Why?
Comment 2 Dan Langille freebsd_committer 2019-03-21 19:50:13 UTC
Would a new port, perhaps net-mgmt/cnagios4, be more appropriate?
Comment 3 Dan Langille freebsd_committer 2019-03-21 19:59:12 UTC
(In reply to Dan Langille from comment #2)
If so, I am happy to create that new port, which could be a slave of this.
Comment 4 Dan Langille freebsd_committer 2019-03-22 12:34:52 UTC
(In reply to Dan Langille from comment #3)
I briefly considered adding configuration options to allow either nagios3 or nagios4, but then I realized I need both.

I will create net-mgmt/cnagios4
Comment 5 commit-hook freebsd_committer 2019-03-22 13:23:17 UTC
A commit references this bug:

Author: dvl
Date: Fri Mar 22 13:22:41 UTC 2019
New revision: 496565
URL: https://svnweb.freebsd.org/changeset/ports/496565

Log:
  Add cnagios4, based on net-mgmt/cnagios but uses Nagios 4

  Why not create options on net-mgmt/cnagios for Nagios 3 or 4?

  Because one can use both Nagios 3 and Nagios 4 and therefore
  you need different packages in your repo.

  PR:		236245

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/cnagios4/
  head/net-mgmt/cnagios4/Makefile
  head/net-mgmt/cnagios4/pkg-descr
Comment 6 Dan Langille freebsd_committer 2019-03-22 13:25:20 UTC
net-mgmt/cnagios4 created after offline consultation with gettoknowmi
Comment 7 Dan Langille freebsd_committer 2019-03-22 17:35:04 UTC
Created attachment 203046 [details]
add flavors

I have added a patch which introduces FLAVORS

* @nagios3 (default)
* @nagios4

For portlint:

* move USES up in Makefile
* add a WWW link to pkg-descr

Tests have been carried out with poudriere testport with:

* no flavor
* @nagios3
* @nagios4
Comment 8 Dan Langille freebsd_committer 2019-03-22 17:36:14 UTC
With this patch, I propose to delete net_mgmt/cnagios4 because it would no longer be required.

Danny: please let me know what you think.  Thank you.
Comment 9 Dan Langille freebsd_committer 2019-03-22 17:49:51 UTC
Created attachment 203047 [details]
Update to 0.33, Add FLAVORS

I amended the original patch to upgrade to 0.33, released Aug 2016

https://github.com/dannywarren/cnagios/releases/tag/0.33
Comment 10 Dan Langille freebsd_committer 2019-03-25 12:38:09 UTC
Proceeding based up on maintainer timeout, given no response since this ticket was opened 20 days ago.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2019-03-25 12:47:06 UTC
@Dan Timeouts are based on the date of the (latest) proposed patch. I'd give maintainer 14 days to accept (or not) attachment 203047 [details] on that basis, after which time it can be / is implicitly Approved by: portmgr (timeout, > 14 days)
Comment 12 Dan Langille freebsd_committer 2019-03-25 14:11:27 UTC
@(In reply to Kubilay Kocak from comment #11)

via IRC last night, I got word from portmgr that timeout had already occurred.  I need to write to portmgr to get FLAVOR approval anyway.  I will ask for clarification regarding timeout.   Thank you.
Comment 13 Dan Langille freebsd_committer 2019-03-25 14:23:54 UTC
Created attachment 203134 [details]
Update to 0.33, Add FLAVORS, mention flavors in pkg-descr

I have updated the patch:

* to use flavor_PKGNAMESUFFIX
* mention the flavors in pkg-descr
Comment 14 Walter Schwarzenfeld freebsd_triage 2019-08-16 00:48:31 UTC
Maintainer timeout!
Comment 15 Dan Langille freebsd_committer 2019-09-25 13:42:43 UTC
I asked portmgr@freebsd.org for permission to commit this flavor but did not hear back. I have asked them again.
Comment 16 Dan Langille freebsd_committer 2020-11-16 16:42:24 UTC
At some time in the past, I had read that flavorizing a port required portmgr@freebsd.org permission. That is why I wrote.

I have not had a reply since my initial request sometime in early 2019.

I now cannot find any reference to permission being required.  I am going to proceed with FLAVORS
Comment 17 danny 2020-11-16 17:09:02 UTC
(In reply to Dan Langille from comment #16)

Hi Dan! 

First, apologies for being non-responsive on this, I have been recovering from a health issue over the past few years.

What is the best way I can help here? I'm happy to review patches or just get out of the way officially, whatever is needed. Just let me know.

Thanks to everyone for working on this in spite of my absence, I am sure I'm not the only one who appreciates it.

Thanks,
Danny Warren
Comment 18 Dan Langille freebsd_committer 2020-11-16 17:17:49 UTC
The patch I uploaded has some additions to what koobs added.

I've just run some testports here and they seem fine.  If you want to look over that, thank you.
Comment 19 danny 2020-11-16 17:39:45 UTC
(In reply to Dan Langille from comment #18)

Thank you, I will look over the patch and approve today if all looks well.

I have some big cleanup to do on cnagios itself to allow it to consume multiple nagios/icinga versions at runtime, but FLAVORS side-steps that nicely and lowers the pressure to do that.

Apologies again for the timeout, I'm hoping I'm well enough to start contributing again but will focus on at minimum not being a roadblock.
Comment 20 danny 2020-11-17 02:54:17 UTC
Hi Dan! This looks great, thanks to you and koobs for doing this.

I similarly got clean testport runs for both FLAVORs, as well as the default, so I think this all looks ready to go.

I also replaced the cnagios on my personal machine with the new FLAVOR'd one and it works great under my Nagios 4.x setup.

I'd say this is ready to approve, but had a question first -

I also manually tested the upgrade path from the previous FLAVORless cnagios to the new one, and it complains in the way you'd expect during `make reinstall`:

pkg-static: cnagios-nagios3-0.33_1 conflicts with cnagios-0.32 (installs files into the same place).  Problematic file: /usr/local/bin/cnagios
*** Error code 70

Does this necessitate a bump to UPDATING or MOVED? Or is there something standard folks do when a FLAVOR is added to a port to avoid the conflict? Anything we can add to the Makefile to smooth the transition?

Thanks again.
Comment 21 Dan Langille freebsd_committer 2020-11-17 02:58:32 UTC
> Does this necessitate a bump to UPDATING or MOVED?

Yes, I think it does.  I can't work on that just now though. Perhaps tomorrow.  I'll check my workload first.

Thank you.  Very good point.
Comment 22 danny 2020-11-17 04:22:36 UTC
(In reply to Dan Langille from comment #21)

Thanks, I'll do some poking around tomorrow as well. Nothing in porters guide about migrating FLAVORs, but I'm curious how other ports may have handled this.
Comment 23 danny 2020-11-17 22:20:32 UTC
After reading up a bit, it still looks like a MOVED entry is the most straightforward way to handle this for folks:

net-mgmt/cnagios|net-mgmt/cnagios@nagios3|2020-11-17|Moved to nagios3 or nagios4 flavored version

I'm marking the patch approved, but I'm open to any input you have before we seek commit. Thanks!
Comment 24 danny 2020-11-17 22:25:06 UTC
Comment on attachment 203134 [details]
Update to 0.33, Add FLAVORS, mention flavors in pkg-descr

Approved!

Both submitter and I have run cnagios through several testport runs using both the nagios3 and nagios4 flavors.

This commit will require a MOVED entry for the new default flavor, such as:

net-mgmt/cnagios|net-mgmt/cnagios@nagios3|2020-11-17|Moved to nagios3 or nagios4 flavored version
Comment 25 Dan Langille freebsd_committer 2020-11-17 22:34:48 UTC
I will work on committing this tonight.
Comment 26 Dan Langille freebsd_committer 2020-11-17 22:42:40 UTC
We also need a moved entry for net-mgmt/cnagios4 beacuse I'm replacing that.
Comment 27 Dan Langille freebsd_committer 2020-11-17 22:48:59 UTC
(In reply to Dan Langille from comment #26)
by replacing, I meant removing.
Comment 28 commit-hook freebsd_committer 2020-11-17 22:49:26 UTC
A commit references this bug:

Author: dvl
Date: Tue Nov 17 22:48:30 UTC 2020
New revision: 555608
URL: https://svnweb.freebsd.org/changeset/ports/555608

Log:
  Update net-mgmt/cnagios to 0.33

  Add FLAVORS @nagios3 & nagios4

  Removing net-mgmt/cnagios4, replaced by @nagios4 flavor.

  Thank you.

  PR:		236245
  Submitted by:	gettoknowmi <gettoknowmi@yahoo.com>
  Reviewed by:	danny@dannywarren.com (maintainer)

Changes:
  head/MOVED
  head/net-mgmt/cnagios/Makefile
  head/net-mgmt/cnagios/distinfo
  head/net-mgmt/cnagios/pkg-descr
  head/net-mgmt/cnagios4/
Comment 29 danny 2020-11-17 23:18:24 UTC
Thanks for commit Dan, and for sticking with this bug for so long.
Comment 30 Dan Langille freebsd_committer 2020-11-17 23:37:08 UTC
No worries. I think we are using a patched version at work.

I'll check into that tomorrow.
Comment 31 danny 2020-11-24 15:07:02 UTC
Everything looks great from my end, hope your experience upgrading your patched version was similar to mine.

However, I am unable to close out this bug. Are you able to do that since it is assigned to you? Thanks!
Comment 32 Dan Langille freebsd_committer 2020-11-24 15:22:48 UTC
Closing. Thank you.